Subject: Re: bug#62940: 29.0.60; vc: no easy way to get diff of all outgoing changes

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Apr 2023 09:57:26 +0300

> Cc: [email-masked], Filipp Gunbin <[email-masked]>
> From: [email-masked]
> Date: Fri, 21 Apr 2023 18:36:01 +0000 (UTC)
> 
> After using it for a bit, one issue is that C-x v O shows changes in all
> files; it would be nice if there was a way to get outgoing
> changes/commits only for the current fileset.

What is the current fileset for "C-x v O"? isn't that "all files"
anyway?

I could understand if you were talking about a VC command invoked from
a vc-dir buffer or a Dired buffer, where you can mark files to be
considered as the current fileset.  That would mean your comment is
about the vc-dir command 'O' or the equivalent in Dired.  But
otherwise, I'm not sure I understand the UI you have in mind.

And then there's the issue of whether the backend supports what you
want, of course.